/*----------------------------------------------------------------------
 Module SWAPDEMO.C
 Demo program for memory swap routines in MEMSWAP.ASM.

 Copyright (C) 1994, Brian Sawert.
 All rights reserved.
----------------------------------------------------------------------*/


#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include <process.h>
#include <dir.h>


extern int swap_spawn(char *cmd);		/* swap entry point */


char bigarray[0x4000];					/* take up space */
char *mempath;


main(int argc, char *argv[])
{
	/* get path to MEM utility */
	mempath = searchpath("mem.exe");

	if (mempath != NULL)
		{
		/* spawn program normally for comparison */
		spawnl(P_WAIT, mempath, mempath, NULL);

		puts("\nPress any key to continue...");
		getch();

		/* spawn program with memory swapped */
		swap_spawn(mempath);
		}

	exit(0);
}
	
